--*******************************************
-- Desc: 地图信息
-- File: MapData.lua    
-- Author: zhouhaifeng
-- Date: 2014-03-11 22:56:39
--*******************************************

local MapData = {}

--[[*************************
		重复层
--***************************]]

MapData.repeatLayers = {
	bg1_1 = {name = "最远处的树" ,speed = 5}, 
	bg2_1 = {name = "次远处的树" ,speed = 5},
	bg3_1 = {name = "路边石头和树" ,speed = 10}, 
	lm_1 = {name ="路",speed = 10},
	jg_1 = {name = "路边的栏杆",speed = 10},
}


MapData.defaultLayers = {
	bg1_0 = {name = "最远处的树",speed = 5}, 
	bg2_0 = {name = "次远处的树",speed = 5},
	bg3_0 = {name = "路边石头和树",speed = 10}, 
	lm_0 = {name ="路",speed = 10},
	jg_0 = {name = "路边的栏杆",speed = 10},
}

MapData.skyLayers = {"bg1_0", "bg1_1" }

MapData.mapLayers = {
	"bg3_0", "bg3_1","bg2_0","bg2_1",
	"lm_0", "lm_1", "jg_0","jg_1"
}

--[[*************************
--		地图模板		
--***************************]]
MapData.Templates = {}

MapData.Templates[1] = {
}

MapData.Templates[2] = {
		blocks = {
			{ blockType = 1, offsetX = 9, offsetY = 3 },
		},
		monsters = {	
			{ monsterType = 1, offsetX = 1, offsetY = 4 },
			{ monsterType = 1, offsetX = 4, offsetY = 5 },
			{ monsterType = 1, offsetX = 14,  offsetY = 6 },
			{ monsterType = 1, offsetX = 20, offsetY = 3 },
			{ monsterType = 1, offsetX = 23, offsetY = 0 },
		},
}


MapData.Templates[3] = {
		blocks = {
			{ blockType = 1, offsetX = 9, offsetY = 3 },
			{ blockType = 1, offsetX = 10, offsetY = 4 },
		},
		monsters = {
			{ monsterType = 1, offsetX = 5, offsetY = 6 },
			{ monsterType = 1, offsetX = 13, offsetY = 1 },
			{ monsterType = 1, offsetX = 18, offsetY = 2 },
		},
}

MapData.Templates[4] = {
		blocks = {
			{ blockType = 1, offsetX = 3, offsetY = 7 },
			{ blockType = 1, offsetX = 16, offsetY = 0 },
		},
		monsters = {
			{ monsterType = 1, offsetX = 8,  offsetY = 3 },
			{ monsterType = 1, offsetX = 9,  offsetY = 4 },
			{ monsterType = 1, offsetX = 10, offsetY = 4 },
			{ monsterType = 1, offsetX = 14, offsetY = 3 },
		},
}

MapData.Templates[5] = {
		blocks = {
			{ blockType = 1, offsetX = 0,  offsetY = 4 },
			{ blockType = 1, offsetX = 19, offsetY = 3 },
		},
}

MapData.Templates[6] = {
		blocks = {
			{ blockType = 1, offsetX = 0,  offsetY = 5 },
			{ blockType = 2, offsetX = 16, offsetY = 4 },
			{ blockType = 2, offsetX = 16, offsetY = 3 },
			{ blockType = 2, offsetX = 16, offsetY = 2 },
			{ blockType = 1, offsetX = 19, offsetY = 2 },
		},
		monsters = {
			{ monsterType = 1, offsetX = 6,  offsetY = 0 },
			{ monsterType = 1, offsetX = 7,  offsetY = 1 },
			{ monsterType = 1, offsetX = 8,  offsetY = 2 },
			{ monsterType = 1, offsetX = 13,  offsetY = 4 },
			{ monsterType = 1, offsetX = 14, offsetY = 3 },
			{ monsterType = 1, offsetX = 15, offsetY = 2 },
			{ monsterType = 1, offsetX = 20,  offsetY = 5 },
			{ monsterType = 1, offsetX = 21,  offsetY = 6 },
			{ monsterType = 1, offsetX = 22,  offsetY = 7 },
		},
}

MapData.Templates[7] = {
		 blocks = {
			{ blockType = 1, offsetX = 0, offsetY = 2 },
			{ blockType = 1, offsetX = 19, offsetY = 5 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 4, offsetY = 5 },
			{ monsterType = 1, offsetX = 6, offsetY = 5 },
			{ monsterType = 1, offsetX = 8, offsetY = 6 },
			{ monsterType = 1, offsetX = 10, offsetY = 7 },
			{ monsterType = 1, offsetX = 11, offsetY = 3 },
			{ monsterType = 1, offsetX = 13, offsetY = 2 },
			{ monsterType = 1, offsetX = 15, offsetY = 1 },
			{ monsterType = 1, offsetX = 17, offsetY = 1 },
			{ monsterType = 1, offsetX = 19, offsetY = 3 },
			{ monsterType = 1, offsetX = 21, offsetY = 0 },
		},
}

MapData.Templates[8] = {
		blocks = {
			{ blockType = 2, offsetX = 0, offsetY = 2 },
			{ blockType = 1, offsetX = 5, offsetY = 2 },
			{ blockType = 1, offsetX = 18, offsetY = 5 },
			{ blockType = 2, offsetX = 21, offsetY = 7 },
		},
		monsters = {
			{ monsterType = 1, offsetX = 1, offsetY = 4 },
			{ monsterType = 1, offsetX = 3, offsetY = 6 },
			{ monsterType = 1, offsetX = 4,  offsetY = 3 },
			{ monsterType = 1, offsetX = 7,  offsetY = 4 },
			{ monsterType = 1, offsetX = 10,  offsetY = 6 },
			{ monsterType = 1, offsetX = 12,  offsetY = 3 },
			{ monsterType = 1, offsetX = 13,  offsetY = 7 },
			{ monsterType = 1, offsetX = 14,  offsetY = 4 },
			{ monsterType = 1, offsetX = 18,  offsetY = 2 },
			{ monsterType = 1, offsetX = 23,  offsetY = 3 },
		}
}

MapData.Templates[9] = {
		blocks = {
			{ blockType = 1, offsetX = 3, offsetY = 7 },
			{ blockType = 1, offsetX = 7, offsetY = 5 },
			{ blockType = 1, offsetX = 15, offsetY = 2 },
		},
		monsters = {
			{ monsterType = 1, offsetX = 6, offsetY = 1 },
			{ monsterType = 1, offsetX = 12, offsetY = 4 },
			{ monsterType = 1, offsetX = 21, offsetY = 7 },
		},
}			

MapData.Templates[10] = {
		 blocks = {
			{ blockType = 2, offsetX = 4, offsetY = 7 },
			{ blockType = 1, offsetX = 6, offsetY = 7 },
			{ blockType = 1, offsetX = 6, offsetY = 6 },
			{ blockType = 2, offsetX = 10, offsetY = 0 },
			{ blockType = 1, offsetX = 13, offsetY = 1 },
			{ blockType = 1, offsetX = 13, offsetY = 0 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 8, offsetY = 3 },
			{ monsterType = 1, offsetX = 10, offsetY = 3 },
			{ monsterType = 1, offsetX = 12, offsetY = 4 },
			{ monsterType = 1, offsetX = 13, offsetY = 4 },
			{ monsterType = 1, offsetX = 24, offsetY = 2 },
		},
}

MapData.Templates[11] = {
		 blocks = {
			{ blockType = 1, offsetX = 0, offsetY = 5 },
			{ blockType = 1, offsetX = 6, offsetY = 2 },
			{ blockType = 1, offsetX = 13, offsetY = 5 },
			{ blockType = 1, offsetX = 19, offsetY = 2 },
		},
}

MapData.Templates[12] = {
		 blocks = {
			{ blockType = 1, offsetX = 3, offsetY = 4 },
			{ blockType = 2, offsetX = 7, offsetY = 3 },
			{ blockType = 2, offsetX = 7, offsetY = 2 },
			{ blockType = 1, offsetX = 9, offsetY = 3 },
			{ blockType = 1, offsetX = 16, offsetY = 4 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 2, offsetY = 6 },
			{ monsterType = 1, offsetX = 6, offsetY = 5 },
			{ monsterType = 1, offsetX = 8, offsetY = 0 },
			{ monsterType = 1, offsetX = 12, offsetY = 0 },
			{ monsterType = 1, offsetX = 13, offsetY = 7 },
			{ monsterType = 1, offsetX = 22, offsetY = 2 },
		},
}

MapData.Templates[13] = {
		 blocks = {
			{ blockType = 1, offsetX = 0, offsetY = 3 },
			{ blockType = 1, offsetX = 9, offsetY = 4 },
			{ blockType = 1, offsetX = 19, offsetY = 3 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 6, offsetY = 1 },
			{ monsterType = 1, offsetX = 9, offsetY = 6 },
			{ monsterType = 1, offsetX = 10, offsetY = 0 },
			{ monsterType = 1, offsetX = 14, offsetY = 1 },
			{ monsterType = 1, offsetX = 16, offsetY = 0 },
			{ monsterType = 1, offsetX = 20, offsetY = 1 },
		},
}

MapData.Templates[14] = {
		 blocks = {
			{ blockType = 1, offsetX = 5, offsetY = 7 },
			{ blockType = 1, offsetX = 6, offsetY = 0 },
			{ blockType = 1, offsetX = 12, offsetY = 6 },
			{ blockType = 1, offsetX = 13, offsetY = 1 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 3, offsetY = 4 },
			{ monsterType = 1, offsetX = 5, offsetY = 5 },
			{ monsterType = 1, offsetX = 7, offsetY = 3 },
			{ monsterType = 1, offsetX = 10, offsetY = 4 },
			{ monsterType = 1, offsetX = 12, offsetY = 2 },
			{ monsterType = 1, offsetX = 16, offsetY = 3 },
			{ monsterType = 1, offsetX = 19, offsetY = 5 },
		},
}

MapData.Templates[15] = {
		 blocks = {
			{ blockType = 2, offsetX = 0, offsetY = 3 },
			{ blockType = 1, offsetX = 3, offsetY = 6 },
			{ blockType = 1, offsetX = 9, offsetY = 1 },
			{ blockType = 1, offsetX = 18, offsetY = 7 },
			{ blockType = 1, offsetX = 19, offsetY = 4 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 3, offsetY = 1 },
			{ monsterType = 1, offsetX = 6, offsetY = 7 },
			{ monsterType = 1, offsetX = 11, offsetY = 4 },
			{ monsterType = 1, offsetX = 12, offsetY = 3 },
			{ monsterType = 1, offsetX = 15, offsetY = 4 },
			{ monsterType = 1, offsetX = 18, offsetY = 5 },
			{ monsterType = 1, offsetX = 23, offsetY = 6 },
		},
}

MapData.Templates[16] = {
		 blocks = {
			{ blockType = 1, offsetX = 6, offsetY = 5 },
			{ blockType = 1, offsetX = 6, offsetY = 2 },
			{ blockType = 1, offsetX = 13, offsetY = 5 },
			{ blockType = 1, offsetX = 13, offsetY = 2 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 1, offsetY = 1 },
			{ monsterType = 1, offsetX = 2, offsetY = 0 },
			{ monsterType = 1, offsetX = 4, offsetY = 0 },
			{ monsterType = 1, offsetX = 10, offsetY = 4 },
			{ monsterType = 1, offsetX = 11, offsetY = 3 },
			{ monsterType = 1, offsetX = 15, offsetY = 7 },
			{ monsterType = 1, offsetX = 17, offsetY = 6 },
			{ monsterType = 1, offsetX = 19, offsetY = 7 },
			{ monsterType = 1, offsetX = 23, offsetY = 4 },
		},
}

MapData.Templates[17] = {
		 blocks = {
			{ blockType = 2, offsetX = 6, offsetY = 5 },
			{ blockType = 2, offsetX = 6, offsetY = 4 },
			{ blockType = 2, offsetX = 6, offsetY = 3 },
			{ blockType = 2, offsetX = 6, offsetY = 2 },
			{ blockType = 1, offsetX = 9, offsetY = 7 },
			{ blockType = 1, offsetX = 9, offsetY = 6 },
			{ blockType = 1, offsetX = 9, offsetY = 5 },
			{ blockType = 1, offsetX = 9, offsetY = 4 },
			{ blockType = 1, offsetX = 9, offsetY = 3 },
			{ blockType = 1, offsetX = 9, offsetY = 2 },
			{ blockType = 1, offsetX = 9, offsetY = 1 },
			{ blockType = 1, offsetX = 9, offsetY = 0 },
		},
}

MapData.Templates[18] = {
		 blocks = {
			{ blockType = 2, offsetX = 7, offsetY = 7 },
			{ blockType = 2, offsetX = 7, offsetY = 6 },
			{ blockType = 1, offsetX = 9, offsetY = 7 },
			{ blockType = 1, offsetX = 10, offsetY = 6 },
			{ blockType = 1, offsetX = 11, offsetY = 5 },
			{ blockType = 1, offsetX = 11, offsetY = 4 },
			{ blockType = 2, offsetX = 11, offsetY = 1 },
			{ blockType = 2, offsetX = 11, offsetY = 0 },
			{ blockType = 1, offsetX = 12, offsetY = 3 },
			{ blockType = 1, offsetX = 12, offsetY = 2 },
			{ blockType = 1, offsetX = 13, offsetY = 1 },
			{ blockType = 1, offsetX = 14, offsetY = 0 },
		},
}

MapData.Templates[19] = {
		 blocks = {
			{ blockType = 1, offsetX = 0, offsetY = 7 },
			{ blockType = 2, offsetX = 1, offsetY = 6 },
			{ blockType = 2, offsetX = 1, offsetY = 5 },
			{ blockType = 1, offsetX = 3, offsetY = 6 },
			{ blockType = 1, offsetX = 7, offsetY = 5 },
			{ blockType = 1, offsetX = 12, offsetY = 4 },
			{ blockType = 1, offsetX = 18, offsetY = 3 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 14, offsetY = 0 },
			{ monsterType = 1, offsetX = 15, offsetY = 0 },
			{ monsterType = 1, offsetX = 16, offsetY = 0 },
			{ monsterType = 1, offsetX = 19, offsetY = 1 },
			{ monsterType = 1, offsetX = 20, offsetY = 1 },
			{ monsterType = 1, offsetX = 21, offsetY = 1 },
			{ monsterType = 1, offsetX = 22, offsetY = 1 },
			{ monsterType = 1, offsetX = 23, offsetY = 1 },
			{ monsterType = 1, offsetX = 24, offsetY = 1 },
		},
}

MapData.Templates[20] = {
		 blocks = {
			{ blockType = 1, offsetX = 5, offsetY = 4 },
			{ blockType = 1, offsetX = 12, offsetY = 4 },
			{ blockType = 2, offsetX = 12, offsetY = 2 },
			{ blockType = 2, offsetX = 12, offsetY = 1 },
			{ blockType = 2, offsetX = 12, offsetY = 0 },
			{ blockType = 1, offsetX = 12, offsetY = 4 },
			{ blockType = 1, offsetX = 13, offsetY = 3 },
			{ blockType = 1, offsetX = 14, offsetY = 2 },
			{ blockType = 1, offsetX = 16, offsetY = 1 },
			{ blockType = 1, offsetX = 19, offsetY = 0 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 2, offsetY = 2 },
			{ monsterType = 1, offsetX = 3, offsetY = 1 },
			{ monsterType = 1, offsetX = 5, offsetY = 1 },
			{ monsterType = 1, offsetX = 6, offsetY = 0 },
			{ monsterType = 1, offsetX = 10, offsetY = 5 },
			{ monsterType = 1, offsetX = 11, offsetY = 6 },
			{ monsterType = 1, offsetX = 12, offsetY = 7 },
			{ monsterType = 1, offsetX = 14, offsetY = 6 },
		},
}

MapData.Templates[21] = {
		 blocks = {
			{ blockType = 2, offsetX = 3, offsetY = 7 },
			{ blockType = 2, offsetX = 3, offsetY = 6 },
			{ blockType = 2, offsetX = 4, offsetY = 1 },
			{ blockType = 2, offsetX = 4, offsetY = 0 },
			{ blockType = 1, offsetX = 6, offsetY = 7 },
			{ blockType = 1, offsetX = 6, offsetY = 6 },
			{ blockType = 1, offsetX = 6, offsetY = 1 },
			{ blockType = 1, offsetX = 6, offsetY = 0 },
			{ blockType = 2, offsetX = 11, offsetY = 3 },
			{ blockType = 2, offsetX = 11, offsetY = 2 },
			{ blockType = 2, offsetX = 12, offsetY = 5 },
			{ blockType = 2, offsetX = 12, offsetY = 4 },
			{ blockType = 1, offsetX = 14, offsetY = 5 },
			{ blockType = 1, offsetX = 14, offsetY = 4 },
			{ blockType = 1, offsetX = 14, offsetY = 3 },
			{ blockType = 1, offsetX = 14, offsetY = 2 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 2, offsetY = 2 },
			{ monsterType = 1, offsetX = 3, offsetY = 1 },
			{ monsterType = 1, offsetX = 5, offsetY = 1 },
			{ monsterType = 1, offsetX = 6, offsetY = 0 },
			{ monsterType = 1, offsetX = 10, offsetY = 5 },
			{ monsterType = 1, offsetX = 11, offsetY = 6 },
			{ monsterType = 1, offsetX = 12, offsetY = 7 },
			{ monsterType = 1, offsetX = 14, offsetY = 6 },
		},
}

MapData.Templates[22] = {
		 blocks = {
			{ blockType = 1, offsetX = 6, offsetY = 7 },
			{ blockType = 2, offsetX = 6, offsetY = 5 },
			{ blockType = 2, offsetX = 6, offsetY = 4 },
			{ blockType = 1, offsetX = 7, offsetY = 6 },
			{ blockType = 1, offsetX = 8, offsetY = 5 },
			{ blockType = 2, offsetX = 8, offsetY = 3 },
			{ blockType = 2, offsetX = 8, offsetY = 2 },
			{ blockType = 1, offsetX = 9, offsetY = 4 },
			{ blockType = 1, offsetX = 10, offsetY = 3 },
			{ blockType = 1, offsetX = 11, offsetY = 2 },
			{ blockType = 1, offsetX = 12, offsetY = 1 },
			{ blockType = 1, offsetX = 13, offsetY = 0 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 20, offsetY = 6 },
			{ monsterType = 1, offsetX = 21, offsetY = 5 },
			{ monsterType = 1, offsetX = 23, offsetY = 5 },
			{ monsterType = 1, offsetX = 24, offsetY = 3 },
			{ monsterType = 1, offsetX = 25, offsetY = 3 },
		},
}

MapData.Templates[23] = {
		 blocks = {
			{ blockType = 2, offsetX = 4, offsetY = 7 },
			{ blockType = 2, offsetX = 4, offsetY = 6 },
			{ blockType = 1, offsetX = 6, offsetY = 6 },
			{ blockType = 1, offsetX = 7, offsetY = 7 },
			{ blockType = 1, offsetX = 10, offsetY = 5 },
			{ blockType = 1, offsetX = 12, offsetY = 4 },
			{ blockType = 1, offsetX = 15, offsetY = 3 },
			{ blockType = 2, offsetX = 15, offsetY = 1 },
			{ blockType = 2, offsetX = 15, offsetY = 0 },
			{ blockType = 1, offsetX = 17, offsetY = 2 },
			{ blockType = 1, offsetX = 17, offsetY = 0 },
			{ blockType = 1, offsetX = 19, offsetY = 1 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 0, offsetY = 3 },
			{ monsterType = 1, offsetX = 2, offsetY = 3 },
			{ monsterType = 1, offsetX = 6, offsetY = 1 },
			{ monsterType = 1, offsetX = 7, offsetY = 0 },
			{ monsterType = 1, offsetX = 8, offsetY = 0 },
			{ monsterType = 1, offsetX = 25, offsetY = 7 },
		},
}

MapData.Templates[24] = {
		 blocks = {
			{ blockType = 1, offsetX = 2, offsetY = 1 },
			{ blockType = 1, offsetX = 5, offsetY = 0 },
			{ blockType = 1, offsetX = 8, offsetY = 2 },
			{ blockType = 1, offsetX = 14, offsetY = 3 },
			{ blockType = 1, offsetX = 17, offsetY = 4 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 0, offsetY = 4 },
			{ monsterType = 1, offsetX = 2, offsetY = 7 },
			{ monsterType = 1, offsetX = 4, offsetY = 4 },
			{ monsterType = 1, offsetX = 6, offsetY = 7 },
			{ monsterType = 1, offsetX = 8, offsetY = 5 },
			{ monsterType = 1, offsetX = 12, offsetY = 6 },
			{ monsterType = 1, offsetX = 16, offsetY = 7 },
			{ monsterType = 1, offsetX = 18, offsetY = 6 },
			{ monsterType = 1, offsetX = 25, offsetY = 6 },
		},
}

MapData.Templates[25] = {
		 blocks = {
			{ blockType = 1, offsetX = 5, offsetY = 3 },
			{ blockType = 2, offsetX = 12, offsetY = 7 },
			{ blockType = 2, offsetX = 12, offsetY = 6 },
			{ blockType = 2, offsetX = 12, offsetY = 5 },
			{ blockType = 1, offsetX = 12, offsetY = 3 },
			{ blockType = 1, offsetX = 13, offsetY = 4 },
			{ blockType = 1, offsetX = 14, offsetY = 5 },
			{ blockType = 1, offsetX = 16, offsetY = 6 },
			{ blockType = 1, offsetX = 19, offsetY = 7 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 2, offsetY = 7 },
			{ monsterType = 1, offsetX = 2, offsetY = 5 },
			{ monsterType = 1, offsetX = 4, offsetY = 6 },
			{ monsterType = 1, offsetX = 6, offsetY = 7 },
			{ monsterType = 1, offsetX = 17, offsetY = 1 },
			{ monsterType = 1, offsetX = 19, offsetY = 2 },
			{ monsterType = 1, offsetX = 20, offsetY = 0 },
			{ monsterType = 1, offsetX = 21, offsetY = 1 },
			{ monsterType = 1, offsetX = 23, offsetY = 1 },
		},
}

MapData.Templates[26] = {
		 blocks = {	
			{ blockType = 2, offsetX = 4, offsetY = 5 },
			{ blockType = 2, offsetX = 4, offsetY = 4 },
			{ blockType = 2, offsetX = 5, offsetY = 3 },
			{ blockType = 2, offsetX = 5, offsetY = 2 },
			{ blockType = 1, offsetX = 7, offsetY = 5 },
			{ blockType = 1, offsetX = 7, offsetY = 4 },
			{ blockType = 1, offsetX = 7, offsetY = 3 },
			{ blockType = 1, offsetX = 7, offsetY = 2 },
			{ blockType = 2, offsetX = 10, offsetY = 1 },
			{ blockType = 2, offsetX = 10, offsetY = 0 },
			{ blockType = 1, offsetX = 13, offsetY = 1 },
			{ blockType = 1, offsetX = 13, offsetY = 0 },
			{ blockType = 2, offsetX = 14, offsetY = 7 },
			{ blockType = 2, offsetX = 14, offsetY = 6 },
			{ blockType = 1, offsetX = 16, offsetY = 7 },
			{ blockType = 1, offsetX = 16, offsetY = 6 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 19, offsetY = 4 },
			{ monsterType = 1, offsetX = 21, offsetY = 3 },
			{ monsterType = 1, offsetX = 22, offsetY = 3 },
			{ monsterType = 1, offsetX = 23, offsetY = 4 },
			{ monsterType = 1, offsetX = 23, offsetY = 2 },
			{ monsterType = 1, offsetX = 24, offsetY = 4 },
			{ monsterType = 1, offsetX = 25, offsetY = 2 },
		},
}

MapData.Templates[27] = {
		 blocks = {
			{ blockType = 1, offsetX = 0, offsetY = 1 },
			{ blockType = 1, offsetX = 6, offsetY = 4 },
			{ blockType = 1, offsetX = 16, offsetY = 7 },
			{ blockType = 1, offsetX = 15, offsetY = 0 },
			{ blockType = 1, offsetX = 19, offsetY = 2 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 1, offsetY = 4 },
			{ monsterType = 1, offsetX = 2, offsetY = 5 },
			{ monsterType = 1, offsetX = 5, offsetY = 0 },
			{ monsterType = 1, offsetX = 7, offsetY = 0 },
			{ monsterType = 1, offsetX = 10, offsetY = 1 },
			{ monsterType = 1, offsetX = 11, offsetY = 7 },
			{ monsterType = 1, offsetX = 12, offsetY = 7 },
			{ monsterType = 1, offsetX = 14, offsetY = 2 },
			{ monsterType = 1, offsetX = 15, offsetY = 5 },
			{ monsterType = 1, offsetX = 16, offsetY = 4 },
			{ monsterType = 1, offsetX = 16, offsetY = 1 },
			{ monsterType = 1, offsetX = 19, offsetY = 1 },
			{ monsterType = 1, offsetX = 22, offsetY = 1 },
			{ monsterType = 1, offsetX = 24, offsetY = 6 },
			{ monsterType = 1, offsetX = 25, offsetY = 0 },
		},
}

MapData.Templates[28] = {
		 blocks = {	
			{ blockType = 1, offsetX = 0, offsetY = 7 },
			{ blockType = 2, offsetX = 3, offsetY = 4 },
			{ blockType = 1, offsetX = 4, offsetY = 6 },
			{ blockType = 1, offsetX = 7, offsetY = 4 },
			{ blockType = 2, offsetX = 7, offsetY = 3 },
			{ blockType = 1, offsetX = 7, offsetY = 0 },
			{ blockType = 1, offsetX = 12, offsetY = 1 },
			{ blockType = 1, offsetX = 19, offsetY = 3 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 0, offsetY = 4 },
			{ monsterType = 1, offsetX = 8, offsetY = 5 },
			{ monsterType = 1, offsetX = 12, offsetY = 3 },
			{ monsterType = 1, offsetX = 19, offsetY = 7 },
			{ monsterType = 1, offsetX = 24, offsetY = 0 },
		},
}

MapData.Templates[29] = {
		 blocks = {	
			{ blockType = 1, offsetX = 0, offsetY = 4 },
			{ blockType = 1, offsetX = 3, offsetY = 6 },
			{ blockType = 1, offsetX = 5, offsetY = 5 },
			{ blockType = 1, offsetX = 5, offsetY = 1 },
			{ blockType = 1, offsetX = 13, offsetY = 2 },
			{ blockType = 1, offsetX = 17, offsetY = 3 },
			{ blockType = 1, offsetX = 19, offsetY = 7 },
			{ blockType = 1, offsetX = 19, offsetY = 4 },
			{ blockType = 1, offsetX = 19, offsetY = 0 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 0, offsetY = 7 },
			{ monsterType = 1, offsetX = 1, offsetY = 7 },
			{ monsterType = 1, offsetX = 2, offsetY = 2 },
			{ monsterType = 1, offsetX = 3, offsetY = 7 },
			{ monsterType = 1, offsetX = 11, offsetY = 3 },
			{ monsterType = 1, offsetX = 12, offsetY = 4 },
			{ monsterType = 1, offsetX = 14, offsetY = 4 },
			{ monsterType = 1, offsetX = 14, offsetY = 0 },
			{ monsterType = 1, offsetX = 15, offsetY = 4 },
			{ monsterType = 1, offsetX = 15, offsetY = 0 },
			{ monsterType = 1, offsetX = 20, offsetY = 6 },	
		},
}

MapData.Templates[30] = {
		 blocks = {	
			{ blockType = 2, offsetX = 0, offsetY = 7 },
			{ blockType = 1, offsetX = 0, offsetY = 3 },
			{ blockType = 1, offsetX = 1, offsetY = 6 },
			{ blockType = 1, offsetX = 2, offsetY = 7 },
			{ blockType = 2, offsetX = 3, offsetY = 1 },
			{ blockType = 1, offsetX = 4, offsetY = 0 },
			{ blockType = 1, offsetX = 6, offsetY = 2 },
			{ blockType = 1, offsetX = 9, offsetY = 1 },
			{ blockType = 2, offsetX = 10, offsetY = 4 },
			{ blockType = 1, offsetX = 11, offsetY = 3 },
			{ blockType = 1, offsetX = 11, offsetY = 0 },
			{ blockType = 1, offsetX = 12, offsetY = 4 },
			{ blockType = 1, offsetX = 14, offsetY = 5 },
			{ blockType = 1, offsetX = 18, offsetY = 7 },
			{ blockType = 1, offsetX = 19, offsetY = 4 },
		},
        monsters = {
			{ monsterType = 1, offsetX = 0, offsetY = 0 },
			{ monsterType = 1, offsetX = 1, offsetY = 5 },
			{ monsterType = 1, offsetX = 1, offsetY = 2 },
			{ monsterType = 1, offsetX = 2, offsetY = 1 },
			{ monsterType = 1, offsetX = 3, offsetY = 4 },
			{ monsterType = 1, offsetX = 4, offsetY = 2 },
			{ monsterType = 1, offsetX = 6, offsetY = 5 },
			{ monsterType = 1, offsetX = 6, offsetY = 4 },
			{ monsterType = 1, offsetX = 7, offsetY = 5 },
			{ monsterType = 1, offsetX = 7, offsetY = 4 },
			{ monsterType = 1, offsetX = 8, offsetY = 4 },
			{ monsterType = 1, offsetX = 12, offsetY = 5 },
			{ monsterType = 1, offsetX = 13, offsetY = 6 },
			{ monsterType = 1, offsetX = 14, offsetY = 6 },
			{ monsterType = 1, offsetX = 15, offsetY = 6 },
			{ monsterType = 1, offsetX = 16, offsetY = 2 },
			{ monsterType = 1, offsetX = 20, offsetY = 2 },
			{ monsterType = 1, offsetX = 22, offsetY = 3 },
			{ monsterType = 1, offsetX = 25, offsetY = 6 },
			{ monsterType = 1, offsetX = 25, offsetY = 0 },
		},
}

MapData.Templates[31] = {
		monsters = {
			{ monsterType = 1, offsetX = 8, offsetY = 7 },
			{ monsterType = 1, offsetX = 9, offsetY = 7 },
			{ monsterType = 1, offsetX = 10,  offsetY = 7 },
			{ monsterType = 1, offsetX = 11, offsetY = 6 },
			{ monsterType = 1, offsetX = 14, offsetY = 7 },
			{ monsterType = 1, offsetX = 15, offsetY = 7 },
			{ monsterType = 1, offsetX = 15, offsetY = 6 },
			{ monsterType = 1, offsetX = 16,  offsetY = 6 },
			{ monsterType = 1, offsetX = 22, offsetY = 7 },
			{ monsterType = 1, offsetX = 23, offsetY = 6 },
			{ monsterType = 1, offsetX = 24, offsetY = 6 },
			{ monsterType = 1, offsetX = 25, offsetY = 6 },
		},
}

MapData.Templates[32] = {
		monsters = {	
			{ monsterType = 1, offsetX = 8, offsetY = 0 },
			{ monsterType = 1, offsetX = 9, offsetY = 1 },
			{ monsterType = 1, offsetX = 9,  offsetY = 0 },
			{ monsterType = 1, offsetX = 10, offsetY = 1 },
			{ monsterType = 1, offsetX = 16, offsetY = 0 },
			{ monsterType = 1, offsetX = 17, offsetY = 0 },
			{ monsterType = 1, offsetX = 18, offsetY = 0 },
			{ monsterType = 1, offsetX = 19,  offsetY = 1 },
			{ monsterType = 1, offsetX = 22, offsetY = 0 },
			{ monsterType = 1, offsetX = 23, offsetY = 1 },
			{ monsterType = 1, offsetX = 24, offsetY = 1 },
			{ monsterType = 1, offsetX = 25, offsetY = 1 },
		},
}


return MapData