--*********************************
-- Desc: 设置表
-- File: Setting.lua
-- Author: zhouhafeng
-- Date: 2014-03-10 12:03:45
--*********************************

local Setting = {}

local __SETTING__ = {
	CONTROL_CONTROL_MODE = "TOUCH",
	CONTROL_CONTROL_POS_MODE = "LEFT",
	VOLUME_MUSIC_VOLUME = 80,
	PLAYER_SEX = "MALE",
	VOLUME_MUSIC_ON = true,
	VOLUME_EFFECT_ON = true,
	FIRST_GUIDE = true,
}


function Setting:setSetting(key,value)
	__SETTING__[key] = value;
end

function Setting:getSetting(key)
	-- print("key: " .. key .. " value:" .. tostring(__SETTING__[key]))
	return __SETTING__[key]
end

function Setting:loadSetting( ... )
	local userDefault = CCUserDefault:sharedUserDefault()

	__SETTING__.CONTROL_CONTROL_MODE = userDefault:getStringForKey("CONTROL_CONTROL_MODE","TOUCH")
	__SETTING__.CONTROL_CONTROL_POS_MODE = userDefault:getStringForKey("CONTROL_CONTROL_POS_MODE","LEFT")
	__SETTING__.VOLUME_MUSIC_VOLUME = userDefault:getIntegerForKey("VOLUME_MUSIC_VOLUME",80)
	__SETTING__.PLAYER_SEX = userDefault:getStringForKey("PLAYER_SEX","MALE")

	__SETTING__.VOLUME_MUSIC_ON = userDefault:getBoolForKey("VOLUME_MUSIC_ON",true)
	__SETTING__.VOLUME_EFFECT_ON = userDefault:getBoolForKey("VOLUME_EFFECT_ON",true)
	__SETTING__.FIRST_GUIDE = userDefault:getBoolForKey("FIRST_GUIDE",true)

	if not __SETTING__.FIRST_GUIDE then
		self:saveSetting()
	end

end

function Setting:saveSetting()
	local userDefault = CCUserDefault:sharedUserDefault()
	userDefault:setStringForKey("CONTROL_CONTROL_MODE",tostring(__SETTING__.CONTROL_CONTROL_MODE))
	userDefault:setStringForKey("CONTROL_CONTROL_POS_MODE",tostring(__SETTING__.CONTROL_CONTROL_POS_MODE))
	userDefault:setIntegerForKey("VOLUME_MUSIC_VOLUME",__SETTING__.VOLUME_MUSIC_VOLUME)
	userDefault:setStringForKey("PLAYER_SEX",tostring(__SETTING__.PLAYER_SEX))

	userDefault:setBoolForKey("VOLUME_MUSIC_ON",__SETTING__.VOLUME_MUSIC_ON)
	userDefault:setBoolForKey("VOLUME_EFFECT_ON",__SETTING__.VOLUME_EFFECT_ON)
	userDefault:setBoolForKey("FIRST_GUIDE",__SETTING__.FIRST_GUIDE)
end

return Setting