--****************************************
-- Desc: 任务属性表
-- File: TaskData.lua
-- Author: zhouhaifeng
-- Date: 2014-03-27 11:45:48
--****************************************

--任务类型
TASK_TYPE_KILL_ENMEY = 1
TASK_TYPE_KILL_BOSS = 2
TASK_TYPE_JUMP = 3
TASK_TYPE_NORMAL_SPEED = 4 --不加速
TASK_TYPE_DRIVE = 5  

TASK_TYPE_DRIVE_TIME = 7 
TASK_TYPE_DISTORY = 8  
TASK_TYPE_COMBO = 9
TASK_TYPE_UNLOCKED = 10
TASK_TYPE_COLLECT = 11
TASK_TYPE_DRIVE_SPEED = 12  --加速    
TASK_TYPE_KILL_ABOSS = 13
TASK_TYPE_KILL_SBOSS = 14

local TaskItems = {
    --任务
    [1001] = {taskId = 1001 , name = "单程驾驶100米" ,       taskType = TASK_TYPE_DRIVE,             num = 100 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1002] = {taskId = 1002 , name = "击杀10头僵尸" ,        taskType = TASK_TYPE_KILL_ENMEY,        num = 10 ,     weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
    [1003] = {taskId = 1003 , name = "飞跃1次" ,             taskType = TASK_TYPE_JUMP,                num = 1 ,                      mode = COUNT_TYPE_SINGLE_GAME},

    [1004] = {taskId = 1004 , name = "单程驾驶300米" ,       taskType = TASK_TYPE_DRIVE,             num = 300 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1005] = {taskId = 1005 , name = "连续击杀10头僵尸" ,             taskType = TASK_TYPE_COMBO,          num = 10 ,                      mode = COUNT_TYPE_SINGLE_GAME},
    [1006] = {taskId = 1006 , name = "用手枪击杀30头僵尸" ,  taskType = TASK_TYPE_KILL_ENMEY,       num = 30 ,     weapon = kWeaponTypeHandGun ,    mode = COUNT_TYPE_SINGLE_GAME},

    [1007] = {taskId = 1007 , name = "单程驾驶600米" ,      taskType = TASK_TYPE_DRIVE,             num = 600 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1008] = {taskId = 1008 , name = "摧毁30辆汽车" ,        taskType = TASK_TYPE_DISTORY,           num = 30 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1009] = {taskId = 1009 , name = "击杀60头僵尸" ,        taskType = TASK_TYPE_KILL_ENMEY,        num = 60 ,     weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1010] = {taskId = 1010 , name = "单程驾驶1000米" ,      taskType = TASK_TYPE_DRIVE,             num = 1000 ,                   mode = COUNT_TYPE_SINGLE_GAME}, 
    [1011] = {taskId = 1011 , name = "击杀1头boss" ,         taskType = TASK_TYPE_KILL_BOSS,       num = 1 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
    [1012] = {taskId = 1012 , name = "击杀150头僵尸" ,        taskType = TASK_TYPE_KILL_ENMEY,       num = 150 ,     weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1013] = {taskId = 1013 , name = "击杀3头boss" ,         taskType = TASK_TYPE_KILL_BOSS,       num = 3 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
    [1014] = {taskId = 1014 , name = "不加速行驶600米" ,           taskType = TASK_TYPE_NORMAL_SPEED,     num = 600 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1015] = {taskId = 1015 , name = "摧毁60辆汽车" ,           taskType = TASK_TYPE_DRIVE_TIME,      num = 60,                      mode = COUNT_TYPE_SINGLE_GAME},

    [1016] = {taskId = 1016 , name = "摧毁100辆汽车" ,           taskType = TASK_TYPE_DISTORY,            num = 100 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1017] = {taskId = 1017 , name = "连续击杀30头僵尸" ,            taskType = TASK_TYPE_COMBO,           num = 30 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1018] = {taskId = 1018 , name = "击杀6头boss" ,         taskType = TASK_TYPE_KILL_BOSS,       num = 6 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1019] = {taskId = 1019 , name = "加速行驶1000米" ,       taskType = TASK_TYPE_DRIVE_SPEED,       num = 1000 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1020] = {taskId = 1020 , name = "单程驾驶1500米" ,      taskType = TASK_TYPE_DRIVE,             num = 1500 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1021] = {taskId = 1021 , name = "用机枪击杀60头僵尸" ,  taskType = TASK_TYPE_KILL_ENMEY,       num = 60 ,     weapon = kWeaponTypeRifle ,    mode = COUNT_TYPE_SINGLE_GAME},

    [1022] = {taskId = 1022 , name = "飞跃3次" ,             taskType = TASK_TYPE_JUMP,                num = 3 ,                      mode = COUNT_TYPE_SINGLE_GAME},
    [1023] = {taskId = 1023 , name = "单程驾驶2100米",       taskType = TASK_TYPE_DRIVE,          num = 2100 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1024] = {taskId = 1024 , name = "击杀210头僵尸",        taskType = TASK_TYPE_KILL_ENMEY,         num = 210 ,    weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1025] = {taskId = 1025 , name = "坚持3分钟不死亡",            taskType = TASK_TYPE_DRIVE_TIME,         num = 180 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1026] = {taskId = 1026 , name = "连续击杀30头僵尸",             taskType = TASK_TYPE_COMBO,                num = 30 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1027] = {taskId = 1027 , name = "击杀10头boss",         taskType = TASK_TYPE_KILL_BOSS,         num = 10 ,     weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1028] = {taskId = 1028 , name = "摧毁150辆汽车",            taskType = TASK_TYPE_DISTORY,         num = 150 ,                      mode = COUNT_TYPE_SINGLE_GAME},
    [1029] = {taskId = 1029 , name = "单程驾驶2800米",      taskType = TASK_TYPE_DRIVE,          num = 2800 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1030] = {taskId = 1030 , name = "击杀280头僵尸",        taskType = TASK_TYPE_KILL_ENMEY,         num = 280 ,    weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1031] = {taskId = 1031 , name = "不加速行驶1000米",           taskType = TASK_TYPE_NORMAL_SPEED,       num = 1000 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1032] = {taskId = 1032 , name = "连续击杀50头僵尸",             taskType = TASK_TYPE_COMBO,                num = 50 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1033] = {taskId = 1033 , name = "击杀6头高级boss",      taskType = TASK_TYPE_KILL_ABOSS,         num = 6 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1034] = {taskId = 1034 , name = "加速行驶1500米",       taskType = TASK_TYPE_DRIVE_SPEED,        num = 1500 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1035] = {taskId = 1035 , name = "单程驾驶3600米",       taskType = TASK_TYPE_DRIVE,          num = 3600 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1036] = {taskId = 1036 , name = "用霰弹枪击杀100头僵尸", taskType = TASK_TYPE_KILL_ENMEY,         num = 100 ,      weapon = kWeaponTypeShotGun ,    mode = COUNT_TYPE_SINGLE_GAME},

    [1037] = {taskId = 1037 , name = "坚持6分钟不死亡",            taskType = TASK_TYPE_DRIVE_TIME,        num = 180,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1038] = {taskId = 1038 , name = "连续击杀70头僵尸",            taskType = TASK_TYPE_COMBO,                num = 70 ,                     mode = COUNT_TYPE_SINGLE_GAME},
    [1039] = {taskId = 1039 , name = "击杀10头高级boss",      taskType = TASK_TYPE_KILL_ABOSS,         num = 10 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1040] = {taskId = 1040 , name = "击杀360头僵尸",        taskType = TASK_TYPE_KILL_ENMEY,         num = 360 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
    [1041] = {taskId = 1041 , name = "摧毁210辆汽车" ,           taskType = TASK_TYPE_DISTORY,            num = 210 ,                      mode = COUNT_TYPE_SINGLE_GAME},
    [1042] = {taskId = 1042 , name = "单程驾驶4500米" ,      taskType = TASK_TYPE_DRIVE,          num = 4500 ,                   mode = COUNT_TYPE_SINGLE_GAME},

    [1043] = {taskId = 1043 , name = "击杀15头boss"  ,       taskType = TASK_TYPE_KILL_BOSS,        num = 15 ,     weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
    [1044] = {taskId = 1044 , name = "连续击杀90头僵尸",            taskType = TASK_TYPE_COMBO,             num = 90 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1045] = {taskId = 1045 , name = "飞跃6次" ,             taskType = TASK_TYPE_JUMP,         num = 6 ,      weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1046] = {taskId = 1046 , name = "单程驾驶5500米" ,      taskType = TASK_TYPE_DRIVE,          num = 5500 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1047] = {taskId = 1047 , name = "不加速行驶1500米",           taskType = TASK_TYPE_NORMAL_SPEED,      num = 1500 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1048] = {taskId = 1048 , name = "击杀450头僵尸"  ,      taskType = TASK_TYPE_KILL_ENMEY,         num = 450 ,    weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1049] = {taskId = 1049 , name = "坚持10分钟不死亡" ,           taskType = TASK_TYPE_DRIVE_TIME,         num = 600  ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1050] = {taskId = 1050 , name = "连续击杀110头僵尸",            taskType = TASK_TYPE_COMBO,                num = 110 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1051] = {taskId = 1051 , name = "用榴弹击杀150头僵尸" ,  taskType = TASK_TYPE_KILL_ENMEY,       num = 150 ,     weapon = kWeaponTypeRPG ,    mode = COUNT_TYPE_SINGLE_GAME},

    [1052] = {taskId = 1052 , name = "飞跃10次" ,             taskType = TASK_TYPE_JUMP,             num = 10 ,                      mode = COUNT_TYPE_SINGLE_GAME},
    [1053] = {taskId = 1053 , name = "击杀550头僵尸" ,       taskType = TASK_TYPE_KILL_ENMEY,         num = 550 ,    weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
    [1054] = {taskId = 1054 , name = "击杀3头超级boss" ,      taskType = TASK_TYPE_KILL_SBOSS,             num = 3,                   mode = COUNT_TYPE_SINGLE_GAME},

    [1055] = {taskId = 1055 , name = "加速驾驶2100米",       taskType = TASK_TYPE_DRIVE_SPEED,        num = 2100 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1056] = {taskId = 1056 , name = "连续击杀130头僵尸" ,           taskType = TASK_TYPE_COMBO,                num = 130 ,                    mode = COUNT_TYPE_SINGLE_GAME},
    [1057] = {taskId = 1057 , name = "击杀660头僵尸",     taskType = TASK_TYPE_KILL_ENMEY,        num = 660 ,     weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},

    [1058] = {taskId = 1058 , name = "不加速驾驶2100米",       taskType = TASK_TYPE_DRIVE,             num = 2100 ,                   mode = COUNT_TYPE_SINGLE_GAME},
    [1059] = {taskId = 1059 , name = "摧毁280辆汽车"  ,          taskType = TASK_TYPE_DISTORY,            num = 280 ,                      mode = COUNT_TYPE_SINGLE_GAME},
    [1060] = {taskId = 1060 , name = "击杀6头超级boss",        taskType = TASK_TYPE_KILL_SBOSS,       num = 6 ,    weapon = nil ,  mode = COUNT_TYPE_SINGLE_GAME},
}

return TaskItems