--*******************************************
-- Desc: 关于弹出窗口
-- File: AboutLayer.lua
-- Author: zhouhaifeng
-- Date: 2014-03-24 13:36:33
--*******************************************

local AboutLayer = class("AboutLayer",function()
	return display.newColorLayer(ccc4(0,0,0,180))
end)

--[[
	初始化
	确认购买界面
]]
function AboutLayer:ctor()
    self.layer = UIModalLayer:create()
    self:addChild(self.layer);

    self:setupUI()
end

function AboutLayer:setupUI()
  self.callback = callback

	 self.panel = ccs.image({
	 	 image = "ui/buy/ui_package_bg.png",
	 	 x = display.cx, 
	 	 y = display.cy
	 })
 	 self.layer:addWidget(self.panel)


  self.aboutTitle = ccs.image({
       image = "ui/buy/about_title.png",
       x = 0, 
       y = 150
  })

  self.aboutText = ccs.image({
         image = "ui/buy/about_text.png",
         x = 0, 
         y = 0
  })
   

	self.closeButton = ccs.button({
        normal  = "ui/buy/btn_sure_1.png",
        pressed = "ui/buy/btn_sure_2.png",
        x = 0,
        y = -160,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            self:dismissSelf()
            if self.callback then
                self.callback(0)
            end
         end},
    })

    self.panel:addChild(self.aboutTitle)
    self.panel:addChild(self.aboutText)
    self.panel:addChild(self.closeButton)

    EffectHelper.WidgetBobbleInEffect(self.panel,nil)
end

function AboutLayer:dismissSelf( ... )
    EffectHelper.WidgetBobbleOutEffect(self.panel,function()
         self:removeFromParentAndCleanup(true)
    end)
end

function AboutLayer:onExit()

end

return AboutLayer