--*******************************************
-- Desc: 成就层
-- File: AchievementLayer.lua
-- Author: zhouhaifeng
-- Date: 2014-03-22 09:43:32
--*******************************************

local AchievementData = import("app.datas.AchievementData")
local AchievementCell = import("app.items.AchievementCell")

local AchievementLayer = class("AchievementLayer",function()
	return display.newLayer()
end)

local contentWidth = 720
local contentHeight = 250

--[[
	初始化
	params: 地图信息
]]
function AchievementLayer:ctor()
	self.layer = ccs.layer()
	self:addChild(self.layer)

	self.pageView = ccs.listView({
        size = CCSizeMake(display.width,contentHeight),
        bounce = true,
        x = display.cx,
        y = display.cy - 10,
        direction = LISTVIEW_DIR_HORIZONTAL,
        listener = {[ccs.ListViewEventType.updateChild] = function(uiwidget)
       		col = uiwidget:getUpdateDataIndex()
       		local menu = uiwidget:getUpdateChild()
       		local buttons = menu:getChildren()

 			for row = 0, buttons:count()-1 do
				local v = buttons:objectAtIndex(row)

				local item = AchievementData[col*3+row+1]
				if item then
					--已经达成
					if AchievementSystem:checkIsHave(item.achId) then 
						v:setItemInfo({
				    		image = "ui/achievement/ui_cj_".. item.achId ..".png",
				    		title = item.name,
				    		desc =  item.desc
			    		})
			    	else
			    	--未达成
			    		v:setItemInfo({
				    		image = "ui/achievement/ui_cj_0.png",
				    		title = item.name,
				    		desc =  item.desc
			    		})
			    	end
				else
					v:setItemInfo({
			    		image = "ui/achievement/ui_cj_0.png",
			    		title = "",
			    		desc =  ""
		    		})
				end
    			
	        end 
	      	menu:setTag(col)
	      	uiwidget:setUpdateSuccess(true)
        end}
        })
	self.pageView:setAnchorPoint(ccp(0.5,0.5))

	local page = 0
    for col = 0,4 do
    	
       	local menu  = ccs.menu({
	        size = CCSizeMake(300,320),
	        type = LAYOUT_LINEAR_VERTICAL,
        })

       for row =0,2 do
		    local button = AchievementCell.new()

		 local item = AchievementData[col*3+row+1]
			if item then
				--已经达成
				if AchievementSystem:checkIsHave(item.achId) then 
					button:setItemInfo({
			    		image = "ui/achievement/ui_cj_".. item.achId ..".png",
			    		title = item.name,
			    		desc =  item.desc
		    		})
		    	else
		    	--未达成
		    		button:setItemInfo({
			    		image = "ui/achievement/ui_cj_0.png",
			    		title = item.name,
			    		desc =  item.desc
		    		})
		    	end
			else
				button:setItemInfo({
		    		image = "ui/achievement/ui_cj_0.png",
		    		title = "",
		    		desc =  ""
	    		})
			end
		    menu:AutoLayout(20,button)
		    button:setTag(row)
       end
	   SET_POS(menu,(col+1)*menu:getSize().width - 200,(self.pageView:getSize().height - menu:getSize().height)/2 - 40)
  	   menu:doLayout()
  	   menu:setTag(col)
  	   self.pageView:addChild(menu)
    end

    self.pageView:initChildWithDataLength(math.floor(#AchievementData/3))
    self.layer:addWidget(self.pageView)
end

local function getItemIndex(uiwidget)
	local index = uiwidget:getParent():getTag()*3+uiwidget:getTag()+1
	return index
end


function AchievementLayer:updateUI()
 
end

function AchievementLayer:onEnter()

end

function AchievementLayer:onExit()

end

return AchievementLayer