--*********************************************
-- Desc: 礼包弹出框
-- File: PackageLayer.lua
-- Author: zhouhaifeng
-- Date: 2014-10-11 10:35:06
--*********************************************

local PackageLayer = class("PackageLayer",function()
	return display.newColorLayer(ccc4(0,0,0,180))
end)

--[[
	初始化
	确认购买界面
]]
function PackageLayer:ctor()
    self.layer = UIModalLayer:create()
    self:addChild(self.layer);
end

function PackageLayer:setupTitleUI(callback，anim)
  	self.callback = callback

	self.panel = ccs.image({
	 	 image = "ui/buy/ui_package_bg.png",
	 	 x = display.cx, 
	 	 y = display.cy
	 })
 	self.layer:addWidget(self.panel)


	self.aboutTitle = ccs.image({
	   image = "ui/buy/juxian_1.png",
	   x = 0, 
	   y = 160
	})

	self.icon1 = ccs.image({
	     image = "ui/buy/juxian_2.png",
	     x = -140, 
	     y = 0
	})

	self.icon2 = ccs.image({
	     image = "ui/buy/juxian_3.png",
	     x = 140, 
	     y = 0
	})

	self.icon = ccs.image({
	     image = "ui/buy/juxian_4.png",
	     x = 0, 
	     y = 0
	})

   
   	

   	--属性
    self.descLabel = ccs.label({
        text = "只需信息费10元",
        fontSize = 18,
        color = ccc3(0, 0, 0),
        x = -200,
        y = -170,
    })
    self.descLabel:setTextAreaSize(CCSizeMake(240,100))

	self.buyButton = ccs.button({
        normal  = "ui/buy/btn_get_1.png",
        pressed = "ui/buy/btn_get_2.png",
        x = 0,
        y = -160,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            PaySystem:pay(4004, false, function(result)
            	if result == PAY.PAY_STATE_SUCCESS then
            		--add 
            		PaySystem:bonus(5888,false)

            		LevelSystem:setCurrentMap(2)
	                LevelSystem._level.currentLevel = 7
	                if LevelSystem._level.currentLevel < LevelSystem._level.maxLevel then
	                     TaskSystem:updateForNewTask()
	                end
	                LevelSystem:save()
	                TaskSystem:save()

	                DataCenter:dispatchEvent({name = "TITLE_CHANGED_EVENT"})

            		self:dismissSelf()
		            if self.callback then
		                self.callback(result)
		            end
            	end
            end)           
         end},
    })

     self.closeButton = ccs.button({
        normal  = "ui/buy/btn_activate_close.png",
        pressed = "ui/buy/btn_activate_close.png",
        x = 320,
        y = 140,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            self:dismissSelf()
         end},
    })

    self.panel:addChild(self.aboutTitle)
    self.panel:addChild(self.icon1)
	self.panel:addChild(self.icon2)
	self.panel:addChild(self.icon)
    self.panel:addChild(self.descLabel)
    self.panel:addChild(self.buyButton)
    self.panel:addChild(self.closeButton)

    EffectHelper.WidgetBobbleInEffect(self.panel,nil)
end


function PackageLayer:setupReviveUI(callback)
  	self.callback = callback

	self.panel = ccs.image({
	 	 image = "ui/buy/ui_package_bg.png",
	 	 x = display.cx, 
	 	 y = display.cy
	 })
 	self.layer:addWidget(self.panel)


	self.aboutTitle = ccs.image({
	   image = "ui/buy/fuhuo_1.png",
	   x = 0, 
	   y = 160
	})

	self.icon = ccs.image({
	     image = "ui/buy/fuhuo_2.png",
	     x = 0, 
	     y = 0
	})
   	

   	--属性
    self.descLabel = ccs.label({
        text = "只需信息费10元",
        fontSize = 18,
        color = ccc3(0, 0, 0),
        x = -200,
        y = -170,
    })
    self.descLabel:setTextAreaSize(CCSizeMake(240,100))

    self.closeButton = ccs.button({
        normal  = "ui/buy/btn_activate_close.png",
        pressed = "ui/buy/btn_activate_close.png",
        x = 320,
        y = 140,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            self:dismissSelf()
         end},
    })

	self.buyButton = ccs.button({
        normal  = "ui/buy/btn_get_1.png",
        pressed = "ui/buy/btn_get_2.png",
        x = 0,
        y = -160,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            PaySystem:pay(4000, false, function(result)
            	if result == PAY.PAY_STATE_SUCCESS then
            		--add 
            		EquipSystem:buyItem(4000,false)
            		self:dismissSelf()
		            if self.callback then
		                self.callback(result)
		            end
            	end
            end)          
         end},
    })

    self.panel:addChild(self.aboutTitle)
	self.panel:addChild(self.icon)
    self.panel:addChild(self.descLabel)
    self.panel:addChild(self.buyButton)
    self.panel:addChild(self.closeButton)

    EffectHelper.WidgetBobbleInEffect(self.panel,nil)
end

function PackageLayer:setupSupportUI(callback,anim)
  	self.callback = callback

	self.panel = ccs.image({
	 	 image = "ui/buy/ui_package_bg.png",
	 	 x = display.cx, 
	 	 y = display.cy
	 })
 	self.layer:addWidget(self.panel)


	self.aboutTitle = ccs.image({
	   image = "ui/buy/huoli_1.png",
	   x = 0, 
	   y = 160
	})

	self.icon1 = ccs.image({
	     image = "ui/buy/huoli_5.png",
	     x = -140, 
	     y = 0
	})

	self.icon2 = ccs.image({
	     image = "ui/buy/huoli_6.png",
	     x = 140, 
	     y = 0
	})
   	

    self.closeButton = ccs.button({
        normal  = "ui/buy/btn_activate_close.png",
        pressed = "ui/buy/btn_activate_close.png",
        x = 320,
        y = 140,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            self:dismissSelf(anim)
         end},
    })

   	--属性
    self.descLabel = ccs.label({
        text = "只需信息费6元",
        fontSize = 18,
        color = ccc3(0, 0, 0),
        x = -200,
        y = -170,
    })
    self.descLabel:setTextAreaSize(CCSizeMake(240,100))

	self.buyButton = ccs.button({
        normal  = "ui/buy/btn_get_1.png",
        pressed = "ui/buy/btn_get_2.png",
        x = 0,
        y = -160,
        listener = {[ccs.TouchEventType.ended] = function() 
            audio.playEffect(R.SOUND_BUTTON)
            PaySystem:pay(4005, false, function(result)
            	if result == PAY.PAY_STATE_SUCCESS then
            		--add 
            		EquipSystem:buyItem(4001,false)
            		EquipSystem:buyItem(4003,false)

            		self:dismissSelf(anim)
		            if self.callback then
		                self.callback(result)
		            end
            	end
            end)        
         end},
    })

    self.panel:addChild(self.aboutTitle)
    self.panel:addChild(self.icon1)
	self.panel:addChild(self.icon2)
    self.panel:addChild(self.descLabel)
    self.panel:addChild(self.buyButton)
    self.panel:addChild(self.closeButton)
    if anim == false then
    	
    else
    	EffectHelper.WidgetBobbleInEffect(self.panel,nil)
    end
    
end


function PackageLayer:dismissSelf(anim)
	if anim == false then
		self:removeFromParentAndCleanup(true)
	else
	    EffectHelper.WidgetBobbleOutEffect(self.panel,function()
	         self:removeFromParentAndCleanup(true)
	    end)
	end
end

function PackageLayer:onExit()

end

return PackageLayer