--*******************************************
-- Desc: 无尽模式关卡选择
-- File: ForeverModeScene.lua
-- Author: zhouhaifeng
-- Date: 2014-03-21 20:48:59
--*******************************************

local PlayerInfoLayer = import("..layers.PlayerInfoLayer")
local LevelConfirmLayer = import("..layers.LevelConfirmLayer")
local PackageLayer = import("app.layers.PackageLayer")
local LevelData = import("..datas.LevelData")

local ForeverModeScene = class("ForeverModeScene", function()
    return display.newScene("ForeverModeScene")
end)

local contentWidth = 540
local contentHeight = 280

function ForeverModeScene:ctor()
    self.bg = display.newSprite("ui/start/ui_bg.jpg", display.cx, display.cy)
    display.setIsBackgroundImage(self.bg)
    self:addChild(self.bg)

   

    self.layer = ccs.layer()
    self:setCurrentType()
    self:addChild(self.layer)

    self.supportButton = ui.newImageMenuItem({
      image = "ui/buy/huoli_1.png",
      imageSelected = "ui/buy/huoli_1.png",
      x = display.left + 100,
      y = display.top - 120,
      listener = function()
        audio.playEffect(R.SOUND_BUTTON)
         local packageLayer = PackageLayer:new()
         packageLayer:setupSupportUI(callback)
         self:addChild(packageLayer,100)
      end,
    })


   self.startMenu = ui.newMenu({self.supportButton})
   self:addChild(self.startMenu)


    self.playerInfoLayer = PlayerInfoLayer.new()
    self:addChild(self.playerInfoLayer,10)


end

function ForeverModeScene:setCurrentType()
    self.list = {}

    local x = display.cx - 90
    local y = display.bottom + 80
    self.indicator_ = display.newSprite("maps/cell_selected.png")
    self.indicator_:setPosition(x, y)
    self.indicator_.firstX_ = x

    local num = 5
    local stepId = GameSystem:getGuideId()

    if stepId==kGUIDE_LEVEL then
        num = 6
        self.emptyBg = display.newSprite("maps/icon_map_bg.png", display.cx, display.cy - 10)
        self:addChild(self.emptyBg)
    end

    for pageIndex = 1, num do
        local icon = display.newSprite("maps/cell_Indicator.png")
        icon:setPosition(x, y)
        self:addChild(icon)
        x = x + 40
    end

    self:addChild(self.indicator_)

    self.pageView = ccs.pageView({
        direction = SCROLLVIEW_DIR_HORIZONTAL,
        size = CCSizeMake(contentWidth,contentHeight),
        x = display.cx,
        y = display.cy - 20,
        listener = {
        [ccs.PageViewEventType.turning] = function(uiwidget)
              local stepId = GameSystem:getGuideId()
              if stepId==kGUIDE_LEVEL or stepId==kGUIDE_LEVEL_NEXT then
                local page = self.pageView:getCurPageIndex()
                LevelSystem:setCurrentPlayMap(page);
                transition.stopTarget(self.indicator_)

                local x = self.indicator_.firstX_ + page * 40
                local time = 0.1
                transition.moveTo(self.indicator_, {x = x, time = time / 2})
        
                if stepId==kGUIDE_LEVEL then
                    if page==1 then
                            self:performWithDelay(function()
                                GameSystem:finishGuide(stepId)
                                self.guideLayer:removeFromParentAndCleanup(true)
                                self:checkGuide()
                            end, 0.2)  
                    end  
                end
                 
             else
                local page = self.pageView:getCurPageIndex()+1
                LevelSystem:setCurrentPlayMap(page);

                transition.stopTarget(self.indicator_)
                local x = self.indicator_.firstX_ + (page - 1) * 40
                local time = 0.1
                transition.moveTo(self.indicator_, {x = x, time = time / 2})
             end
        end}
        })
    self.pageView:setClippingEnabled(false)
    self.pageView:setAnchorPoint(ccp(0.5,0.5))


    local mapData = clone(LevelData)
    if GameSystem:getGuideId() == kGUIDE_LEVEL then
        table.insert(mapData, 0,   { mapId = 0, name = "未选中"   , path = "maps/map_1.tmx", monsters = {1001,1007} ,unlock = 0})
    end

    for k,v in pairs(mapData) do
            local layout = ccs.panel({
                size = CCSizeMake(contentWidth,contentHeight)
            })

           local button = ccs.button({ 
                normal = "maps/icon_map_" .. v.mapId ..".jpg",
                pressed = "maps/icon_map_" .. v.mapId ..".jpg",
                x = 270,
                y = 150,
                listener = { [ccs.TouchEventType.ended] = function(uiwidget) 
                        local page = self.pageView:getCurPageIndex()
                        LevelSystem:setCurrentPlayMap(v.mapId);

                        if LevelSystem:getCurrentMap() < LevelSystem:getCurrentPlayMap() then
                             -- EffectHelper.floatTipInfo("解锁需要:玩家等级达到" .. v.unlock .. "级","info")
                               local levelConfirmLayer = LevelConfirmLayer:new()
                                 levelConfirmLayer:setupUI(v.mapId,"该关卡需要" .. v.unlock .. "级才能解锁",function()
                                     self:refreshState()
                                 end)
                                 self:addChild(levelConfirmLayer,100)
                        else
                           
                        end
                end}
            })
            
            button.lock = ccs.button({
                normal = "maps/lock.png",
                pressed = "maps/lock.png",
                x = 0,
                y = 0,
                listener = { [ccs.TouchEventType.ended] = function(uiwidget) 
                    local page = self.pageView:getCurPageIndex()
                    LevelSystem:setCurrentPlayMap(v.mapId);

                    if LevelSystem:getCurrentMap() < LevelSystem:getCurrentPlayMap() then
                         -- EffectHelper.floatTipInfo("解锁需要:玩家等级达到" .. v.unlock .. "级","info")
                         local levelConfirmLayer = LevelConfirmLayer:new()
                         levelConfirmLayer:setupUI(v.mapId,"该关卡需要" .. v.unlock .. "级才能解锁",function()
                              self:refreshState()
                         end)
                         self:addChild(levelConfirmLayer,100)
                       
                    else
                
                    end
              end}
            })

            button:addChild(button.lock)
            layout:addChild(button)
            self.list[v.mapId] = button
            self.pageView:addPage(layout)
    end

    self.layer:addWidget(self.pageView)

    self:refreshState()

     -- create menu
     self.startButton = ui.newImageMenuItem({
        image = "ui/level/btn_start_n.png",
        imageSelected = "ui/level/btn_start_h.png",
        x = display.right - 120,
        y = display.bottom + 40,
        listener = function()
            audio.playEffect(R.SOUND_BUTTON)
            if LevelSystem:getCurrentPlayMap() < 1 then
                 EffectHelper.floatTipInfo("请选择一张地图")   
            elseif LevelSystem:getCurrentMap() < LevelSystem:getCurrentPlayMap() then
                 -- EffectHelper.floatTipInfo("解锁需要:玩家等级达到" .. (LevelSystem:getCurrentPlayMap()-1)*5 .. "级","info")
                   local levelConfirmLayer = LevelConfirmLayer:new()
                   levelConfirmLayer:setupUI(LevelSystem:getCurrentPlayMap(),"该关卡需要" .. mapData[LevelSystem:getCurrentPlayMap()].unlock .. "级才能解锁",function()
                              self:refreshState()
                         end)
                   self:addChild(levelConfirmLayer,100)
            else
                 MyApp:goLoading()
            end
        end,
    })


    self.backButton = ui.newImageMenuItem({
        image = "ui/common/btn_back_n.png",
        imageSelected = "ui/common/btn_back_n.png",
        x = display.left + 120,
        y = display.bottom + 40,
        listener = function()
            audio.playEffect(R.SOUND_BUTTON)
            MyApp:goToEquipment()
        end,
    })

   self.menu = ui.newMenu({self.startButton,self.backButton})
   self:addChild(self.menu)

    LevelSystem:setCurrentPlayMap(1);
end

function ForeverModeScene:refreshState()
    local currentMap = LevelSystem:getCurrentMap()  
    for k,button in pairs(self.list) do
        if k <= currentMap then
            button.lock:setVisible(false)
        else
            button.lock:setVisible(true)
        end
    end
end

function ForeverModeScene:onEnter()
    self:checkGuide()
end

function ForeverModeScene:onExit()

end

function ForeverModeScene:checkGuide()
     local stepId = GameSystem:getGuideId()
     if stepId == kGUIDE_LEVEL then
            self.guideLayer = CCGuideLayer:create();

            local pos = ccp(display.cx - 210,display.cy - 120)
            local size = CCSize(420, 220)

            self.guideText = display.newSprite("ui/guide/guide_text_".. stepId ..".png", display.cx , display.bottom + 40)
            self.guideLayer:addChild(self.guideText,100)

            self.arrowPointer = display.newSprite("ui/guide/arrow_big_left.png", display.left + 80 , display.cy -20)
            self.guideLayer:addChild(self.arrowPointer,100)

            self.arrowPointer = display.newSprite("ui/guide/arrow_big_right.png", display.width  - 80 , display.cy -20)
            self.guideLayer:addChild(self.arrowPointer,100)

            self.guideFinger = display.newSprite("ui/guide/guide_finger.png", display.cx + 140 , display.cy - 40)
            self.guideLayer:addChild(self.guideFinger,100)

            local action1 = CCMoveTo:create(0.8, ccp(display.cx - 120 , display.cy - 40))
            local action2 = CCMoveTo:create(0, ccp(display.cx + 140 , display.cy - 40))
            self.guideFinger:runAction(CCRepeatForever:create(CCSequence:createWithTwoActions(action1,action2)))
      
             self.guideLayer:show(
                CCRectMake(pos.x ,pos.y, size.width, size.height),
                function()
                    
                end,
                function()
                    CCLuaLog("failed");
                end,true)
            self:addChild(self.guideLayer,999)
    elseif stepId == kGUIDE_LEVEL_NEXT then
             self.guideLayer = CCGuideLayer:create();
             local x,y = self.startButton:getPosition()
             local pos = ccp(x,y)

             local size = self.startButton:getContentSize()
         
             self.guideText = display.newSprite("ui/guide/guide_text_".. stepId ..".png", pos.x - 10 , pos.y + 150)
             self.guideLayer:addChild(self.guideText,100)

             self.arrowPointer = display.newSprite("ui/guide/arrow_big_down.png", pos.x - 10 , pos.y + 90)
             self.guideLayer:addChild(self.arrowPointer,100)

             self.guideLayer:show(
                CCRectMake(pos.x - size.width/2, pos.y-size.height/2, size.width, size.height),
                function()
                    GameSystem:finishGuide(stepId)
                    self.guideLayer:removeFromParentAndCleanup(true)
                end,
                function()
                    CCLuaLog("failed");
                end,true)
            self:addChild(self.guideLayer,999)
    end
end

return ForeverModeScene
