--*******************************************
-- Desc: 开场动画
-- File: LogoScene.lua
-- Author: zhouhaifeng
-- Date: 2014-08-05 13:26:33
--*******************************************

local LogoScene = class("LogoScene", function()
    return display.newScene("LogoScene")
end)


local fadeInDelta = 2.0
local fadeOutDelta = 1.2
local textFadeInDelat = 1.0
local nextStepDelta = 4.0

function LogoScene:ctor()
    self:showStep1()


    self.skipButton = ui.newTTFLabelMenuItem({
        text = "跳 过",
        size = 24,
        x = display.width - 80,
        y = display.top - 40,
        listener = function()
            audio.playEffect(R.SOUND_BUTTON)
            MyApp:goStart()
        end,
    })

    if Setting:getSetting("FIRST_GUIDE") then
        Setting:setSetting("FIRST_GUIDE",false)
        Setting:saveSetting()
        self.skipButton:setVisible(false)
        self.skipButton:setEnabled(false)
    end

   self.skipMenu = ui.newMenu({self.skipButton})
   self:addChild(self.skipMenu,999)
end

--[[
    第一步， 2079年
]]
function LogoScene:showStep1()

    self.currentImage = display.newSprite("ui/start/ui_start_1.jpg", display.cx, display.cy)
    self.currentImage:setOpacity(0)
    display.setIsBackgroundImage(self.currentImage)
    self:addChild(self.currentImage)    

    self.currentText = display.newSprite("ui/start/ui_text_1.png", display.cx, display.bottom + 80)
    self.currentText:setOpacity(0)
    self.currentImage:addChild(self.currentText)    

    self.currentImage:runAction(CCFadeIn:create(fadeInDelta))
    self.currentText:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(fadeInDelta),CCFadeIn:create(textFadeInDelat)))

    self:performWithDelay(function()
        self:showStep2()
    end, nextStepDelta) 
end

--[[
    第二步， 世界被僵尸所攻占
]]
function LogoScene:showStep2()
        self.currentText:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(fadeOutDelta),CCRemoveSelf:create(true)))
        self.currentImage:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(fadeOutDelta),CCRemoveSelf:create(true)))
       
        self.nextImage = display.newSprite("ui/start/ui_start_2.jpg", display.cx, display.cy)
        self.nextImage:setOpacity(0)
        display.setIsBackgroundImage(self.nextImage)
        self:addChild(self.nextImage,1)

        self.currentImage =  self.nextImage

        self.currentText = display.newSprite("ui/start/ui_text_2.png", display.cx, display.bottom + 80)
        self.currentText:setOpacity(0)
        self.currentImage:addChild(self.currentText)

        self.nextImage:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(fadeOutDelta),CCFadeIn:create(fadeInDelta)))
        self.currentText:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(fadeInDelta),CCFadeIn:create(textFadeInDelat)))   

        self:performWithDelay(function()
            self:showStep3()
        end, nextStepDelta) 
end

--[[
    第三步，而我。。接受了最后的命令
]]
function LogoScene:showStep3()
        self.currentText:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(fadeOutDelta),CCRemoveSelf:create(true)))
        self.currentImage:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(fadeOutDelta),CCRemoveSelf:create(true)))
       
        self.nextImage = display.newSprite("ui/start/ui_start_3.jpg", display.cx, display.cy)
        self.nextImage:setOpacity(0)
        display.setIsBackgroundImage(self.nextImage)
        self:addChild(self.nextImage)

        self.currentImage =  self.nextImage

        self.currentText = display.newSprite("ui/start/ui_text_3.png", display.cx, display.bottom + 80)
        self.currentText:setOpacity(0)
        self.currentImage:addChild(self.currentText) 

        self.nextImage:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(fadeOutDelta),CCFadeIn:create(fadeInDelta)))
        self.currentText:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(fadeInDelta),CCFadeIn:create(textFadeInDelat)))   
        

        self:performWithDelay(function()
            local sceneClass = require("app.scenes.StartScene")
            local scene = sceneClass.new()
            local newScene = CCTransitionFade:create(3.0, scene, ccc3(255, 255, 255))
            CCDirector:sharedDirector():replaceScene(newScene)
        end, nextStepDelta) 
end


function LogoScene:onEnter()
     if device.platform == "android" then
        -- avoid unmeant back
        self:performWithDelay(function()
            -- keypad layer, for android
            local layer = display.newLayer()
            layer:addKeypadEventListener(function(event)
                if event == "back" then app.exit() end
            end)
            self:addChild(layer)

            layer:setKeypadEnabled(true)
        end, 0.5)
    end

    self:setTouchEnabled(true)
    self:setTouchMode(kCCTouchesAllAtOnce)
    self:addTouchEventListener(function(event,touches)
        
    end ,true, -127,false)
end

function LogoScene:onEnter()
    SimpleAudioEngine:sharedEngine():setBackgroundMusicVolume(1)
    audio.playBackgroundMusic("sound/background.mp3",true);
end

function LogoScene:onExit()
 
end


return LogoScene
