--***************************************
-- Desc: 结算场景
-- File: RankScene.lua
-- Author: zhouhaifeng
-- Date: 2014-03-09 15:44:01
--***************************************

local LevelData = import("..datas.LevelData")

local maxPeople = 98888
local maxScore = 100000


local RankScene = class("RankScene",function()
	return display.newScene("RankScene")
end)

function RankScene:ctor()
	local params = LevelData[LevelSystem:getCurrentPlayMap()]

    self.tileMap = CCTMXTiledMap:create(params.path)  
    display.setIsBackgroundImage(self.tileMap)
    self.tileMap:setAnchorPoint(ccp(0,0))
    self:addChild(self.tileMap, 0, 0)

    self.rankBg = display.newSprite("ui/rank/ui_rank_bg.png", display.cx, display.cy)
    display.setIsBackgroundImage(self.rankBg)
    self:addChild(self.rankBg, 0, 0)

    self.layer = ccs.layer()
    self:addChild(self.layer)

    self.scoreLabel = ccs.labelAtlas({
	    text = "0",
        start = '0',
        image = "ui/rank/number_bar_1.png",
        w = 48	,
        h = 52,
	    align = ui.TEXT_ALIGN_RIGHT, 
	    x = 400,
	    y = display.top - 110,
	})
	self.scoreLabel:setAnchorPoint(ccp(0,0.5))
	self.layer:addWidget(self.scoreLabel)

	self.rankLabel = ccs.labelAtlas({
	    text = "1",
        start = '0',
        image = "ui/rank/number_bar_2.png",
        w = 39	,
        h = 55,
	    align = ui.TEXT_ALIGN_RIGHT, 
	    x = display.cx,
	    y = display.cy-15,
	})
	self.layer:addWidget(self.rankLabel)

	self.percentLabel = ccs.labelAtlas({
	    text = "99",
        start = '0',
        image = "ui/rank/number_bar_3.png",
        w = 24	,
        h = 31,
	    align = ui.TEXT_ALIGN_RIGHT, 
	    x = display.cx + 90,
	    y = display.cy - 80,
	})
	self.layer:addWidget(self.percentLabel)

    self.iconPercent = ccs.image({
        image  = "ui/rank/icon_percent.png",
        x = display.cx + 130,
        y = display.cy - 80,
    })
    self.layer:addWidget(self.iconPercent)

	self.sureButton = ccs.button({
        normal  = "ui/rank/ui_btn_sure.png",
        pressed = "ui/rank/ui_btn_sure.png",
        x = display.cx,
        y = display.bottom + 90,
        listener = {[ccs.TouchEventType.began] = function() 
            MyApp:goToScore()
         end},
    })

	self.layer:addWidget(self.sureButton)

	self:setupUI()
end

function RankScene:setupUI()
  	local data = GameSystem._record.lastGameInfo

  	local number = math.floor(data.numberOfGlod + data.numberOfkillEnemy + data.numberOfkillBoss + data.numberOfkillSuperBoss + data.distance*0.5)
    number = number * LevelSystem._level.currentPlayMap

    if number > maxScore then
    	number = maxScore - 1
    end

    local precent = number/maxScore
    if precent >= 0.99999 then
    	precent = 0.99999
    elseif precent <= 0.01 then
    	precent = 0.01
    end

    local people =  math.floor((1-precent)* maxPeople)

    if people <= 1 then
    	people = 1
    end
    
    EffectHelper.RollNumEffect(self.scoreLabel , 0.5 ,0, number , ""  , "") 
    EffectHelper.RollNumEffect(self.rankLabel , 0.5 ,0, people , ""  , "") 	
    EffectHelper.RollNumEffect(self.percentLabel , 0.5 ,0, math.floor(precent*100) , ""  , "") 
end

function RankScene:onEnter()
    
end

function RankScene:onExit()
    
end

return RankScene