--*********************************************
-- Desc: 游戏系统
-- File: GameSystem.lua   
-- Author: zhouhaifeng
-- Date: 2014-03-13 09:38:43
--*********************************************

local Game = import("app.utils.GameData")
local KEY = "Game"
local GameSystem = {}

function GameSystem:init()

	self._record = {}
	self._record.guideId = 1 						 --引导ID
	self._record.numberOfGlod = 0 					 --金币
	self._record.startTime = 0						 --游戏时间
	self._record.distance = 0           			 --里程数
	self._record.numberOfkillEnemy = 0               --杀敌数
	self._record.numberOfkillBoss = 0                --杀死Boss次数
	self._record.numberOfkillAdvBoss = 0
	self._record.numberOfkillSuperBoss = 0           --杀死SuperBoss次数
	self._record.numberOfhitCars = 0                 --摧毁汽车数
	self._record.numberOfhitEnemy = 0                --撞敌数
	self._record.maxNumberOfCombs = 0                --最大连击数

	self._record.maxNumberOfSpeed = 0                --达到的最大速度
	self._record.numberOfHittings = 0                --被怪物击中次数
	self._record.numberOfBlocks = 0                  --达到的最大速度
	self._record.shootNumberListOfWeapons = 0        --血量值
	self._record.numberOfDeads = 0                   --死亡次数
	self._record.numberOfFly = 0 					 --跳跃次数
	self._record.useOfGlod = 0 					 	 --消耗金币

	self._record.maxTimeOfForeverMode = 0 			 --无尽模式最长时间
	
	self._record.lastGameInfo = nil					   --最新的游戏信息
	self._record.preGameInfo = nil					   --上一次的游戏信息
 --[[
 --    self.record.startTime = 0 					   --游戏时间
 --    self.record.distance = 0 					   --里程数
 --    self.record.numberOfkillEnemy = 0               --杀敌数
 --    self.record.numberOfkillBoss = 0                --杀死Boss次数
 --    self.record.numberOfhitCars = 0                 --摧毁汽车数
 --    self.record.numberOfhitEnemy = 0                --撞敌数
 --    self.record.maxNumberOfCombs = 0                --最大连击数
 --    self.record.maxNumberOfSpeed = 0                --达到的最大速度
 --    self.record.numberOfHittings = 0                --被怪物击中次数
 --    self.record.numberOfDeads					   --死亡次数	
 --    self.record.numberOfFly = 0                     --跳跃次数
-- 	   self.record.normalOfDistance = 0
--     self.record.speedOfDistance = 0
	   self.record.useOfGlod = 0 					   --消耗金币
	   self.record.numberOfGlod = 0 					 --金币
	   self.record.maxTimeOfForeverMode				   --无尽模式最长时间
--]]


	self:save()
end

function GameSystem:getTotal(key)
	return self._record[key]
end

function GameSystem:getCurrent(key)
	return self._record.lastGameInfo[key]
end

function GameSystem:checkIsGuide(guideId)
	return self._record.guideId == guideId
end

function GameSystem:getGuideId()
	return self._record.guideId
end

function GameSystem:finishGuide(guideId)
	if self:checkIsGuide(guideId) then
		self._record.guideId = self._record.guideId + 1
		self:save()
	else
		CCLuaLog("【GUIDE ERROR】Cannot finish guide " .. guideId .. ", current guideId is " .. self._record.guideId)
	end
end

--[[
	加载成就信息
]]
function GameSystem:load()
	Game.init(KEY,function(event)
			if event.name == "load" then
				if event.errorCode ~= nil then
					if event.errorCode == ERROR_STATE_FILE_NOT_FOUND then
						self:init()
					end
				else
					if event.values ~= nil and type(event.values) == "table" then
						self._record = clone(event.values)
						-- CCLuaLog("load success")
					else
						self:init()
					end
				end
			elseif event.name == "save" then
				-- CCLuaLog("save success!")
				return event.values
			end
	end,"game.dat",KEY)

	Game.load(KEY)

	self.gameState = GAME_STATE.PRESTART
end

--[[
	保存成就
]]
function GameSystem:save()
	Game.save(KEY,self._record)
end


return GameSystem
