--*********************************************
-- Desc: ${desc}
-- File: SystemLoader.lua
-- Author: zhouhaifeng
-- Date: 2014-04-02 11:50:50
--*********************************************

SystemLoader = {}

SystemLoader._systems = {
	"GameSystem",
	"EquipSystem",
	"PaySystem",
	"LevelSystem",
	"AchievementSystem",
	"TaskSystem",
}	

--[[
	加载游戏系统
]]
function SystemLoader.load()

	for k,systemName in pairs(SystemLoader._systems) do
		local classPath = "app.systems." .. systemName
		local system = require(classPath)
		if system then
			xpcall(function()
				system:load()
			end, __G__TRACKBACK__)
			_G[systemName] = system
		end
		
	end
end

--[[
	保存
]]
function SystemLoader.save()
	for k,systemName in pairs(SystemLoader._systems) do
		system = _G[systemName]
		if system then
			xpcall(function()
				system:save()
			end, __G__TRACKBACK__)
		end	
	end
end